> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Segments

> Retrieves an array of player segment definitions. Results from this can be used in subsequent API calls such as ExportPlayersInSegment which requires a Segment ID. While segment names can change the ID for that segment will not change.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/GetAllSegments
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/GetAllSegments:
    post:
      tags:
        - PlayStream
      summary: Get All Segments
      description: >
        Retrieves an array of player segment definitions. Results from this can
        be used in subsequent API calls such as ExportPlayersInSegment which
        requires a Segment ID. While segment names can change the ID for that
        segment will not change.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | ProductDisabledForTitle | 1609 |
      operationId: GetAllSegments
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetAllSegmentsRequest'
        description: Request has no paramaters.
      responses:
        '200':
          $ref: '#/components/responses/GetAllSegmentsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetAllSegmentsRequest:
      description: Request has no paramaters.
      type: object
      properties: {}
      example: {}
    GetAllSegmentsResult:
      type: object
      properties:
        Segments:
          description: Array of segments for this title.
          type: array
          items:
            $ref: '#/components/schemas/GetSegmentResult'
          x-isclass: true
      example:
        Segments:
          - Id: 1337AA00
            Name: Fast Players
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    GetSegmentResult:
      type: object
      properties:
        ABTestParent:
          description: Identifier of the segments AB Test, if it is attached to one.
          type: string
        Id:
          description: Unique identifier for this segment.
          type: string
        Name:
          description: Segment name.
          type: string
      required:
        - Id
      example:
        Id: 1337AA00
        Name: Fast Players
  responses:
    GetAllSegmentsResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetAllSegmentsResult'
            example:
              code: 200
              status: OK
              data:
                Segments:
                  - Id: 1337AA00
                    Name: Fast Players
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get All Segments](/services/playfab/api-references/rest/server/play-stream/get-all-segments.md)
- [PFSegmentsGetAllSegmentsResult](/services/playfab/api-references/c/pfsegmentstypes/structs/pfsegmentsgetallsegmentsresult.md)
- [PFSegmentsServerGetAllSegmentsAsync](/services/playfab/api-references/c/pfsegments/functions/pfsegmentsservergetallsegmentsasync.md)
- [PFSegmentsServerGetAllSegmentsGetResult](/services/playfab/api-references/c/pfsegments/functions/pfsegmentsservergetallsegmentsgetresult.md)
- [PFSegmentsServerGetAllSegmentsGetResultSize](/services/playfab/api-references/c/pfsegments/functions/pfsegmentsservergetallsegmentsgetresultsize.md)
